%define upstream_name HTML_Template_PHPLIB
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.6.0
Release:     	%mkrel 1
Summary:    	preg_* based template system
License: 	LGPL
Group: 		Development/PHP
URL: http://pear.php.net/package/HTML_Template_PHPLIB
Source0: http://pear.php.net/get/HTML_Template_PHPLIB-%{version}.tgz
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch
%global	__requires_exclude pear\\(PHPUnit/Framework.php\\)

%description
The popular Template system from PHPLIB ported to PEAR. It has some
features that can't be found currently in the original version like
fallback paths. It has minor improvements and cleanup in the code as
well as some speed improvements.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTML_Template_PHPLIB.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTML_Template_PHPLIB.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTML_Template_PHPLIB
fi

%files
%doc docs/HTML_Template_PHPLIB/*
%{peardir}/*
%{xmldir}/HTML_Template_PHPLIB.xml
%{_bindir}/html_template_phplibtool



%changelog
* Sun Mar 13 2016 spuhler <spuhler> 1.6.0-1.mga6
+ Revision: 990262
- upgrade to vers. 1.6.0

* Mon Feb 08 2016 umeabot <umeabot> 1.5.2-8.mga6
+ Revision: 949951
- Mageia 6 Mass Rebuild

* Mon Oct 20 2014 tv <tv> 1.5.2-7.mga5
+ Revision: 792059
- add excludes

* Wed Oct 15 2014 umeabot <umeabot> 1.5.2-6.mga5
+ Revision: 750061
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.5.2-5.mga5
+ Revision: 734049
- rebuild for pear deps

* Fri Sep 26 2014 tv <tv> 1.5.2-4.mga5
+ Revision: 725192
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.5.2-3.mga5
+ Revision: 687286
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.5.2-2.mga4
+ Revision: 528032
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 spuhler <spuhler> 1.5.2-1.mga4
+ Revision: 443233
- added %%{_bindir}/html_template_phplibtool
- upgrade to version 1.5.2
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.5.1-2.mga3
+ Revision: 376290
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 04 2011 spuhler <spuhler> 1.5.1-1.mga2
+ Revision: 176312
- upgrade to 1.5.1

* Fri Jan 28 2011 spuhler <spuhler> 1.5.0-3.mga1
+ Revision: 42562
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-HTML_Template_PHPLIB


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-3mdv2011.0
+ Revision: 613682
- the mass rebuild of 2010.1 packages

* Sat Dec 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.0-2mdv2010.1
+ Revision: 477888
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Sep 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.0-1mdv2010.0
+ Revision: 446477
- update to new version 1.5.0

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.4.0-3mdv2010.0
+ Revision: 441181
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-2mdv2009.1
+ Revision: 322123
- rebuild

* Sun Oct 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.0-1mdv2009.1
+ Revision: 292881
- update to new version 1.4.0

* Tue Sep 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.3-1mdv2009.0
+ Revision: 278921
- update to new version 1.3.3

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.2-2mdv2009.0
+ Revision: 236882
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Apr 28 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.2-1mdv2008.0
+ Revision: 18950
- fix build
- remove unneded P0
- 1.3.2


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-9mdv2007.0
+ Revision: 81696
- Import php-pear-HTML_Template_PHPLIB

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-9mdk
- new group (Development/PHP)

* Mon Nov 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.1-8mdk
- Fix BuildRequires

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-7mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-6mdk
- rebuilt to use new pear auto deps/reqs from pld

* Thu Aug 04 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-5mdk
- fix a xml formatting error

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-1mdk
- initial Mandriva package (PLD import)

